Subject: [Ips] RE: [Gen-art] RE: Gen-ART review of draft-ietf-ips-scsi-mib-08

From: [email-masked]
Date: Tue, 17 Jan 2006 12:40:28 -0500

Harald,

Ok, there's some text in Section 7.5 that's already headed in
that direction, so we'll see about writing a "MUST implement"
requirement for the Counter64 items based on interface speed.

Thanks,
--David 
----------------------------------------------------
David L. Black, Senior Technologist
EMC Corporation, 176 South St., Hopkinton, MA  01748
+1 (508) 293-7953             FAX: +1 (508) 293-7786
[email-masked]        Mobile: +1 (978) 394-7754
----------------------------------------------------

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Harald Tveit Alvestrand
> Sent: Tuesday, January 17, 2006 11:17 AM
> To: Black, David; [email-masked]
> Cc: [email-masked]; [email-masked]; 
> [email-masked]; [email-masked]; [email-masked]; 
> [email-masked]; [email-masked]
> Subject: [Gen-art] RE: Gen-ART review of draft-ietf-ips-scsi-mib-08
> 
> Thanks for the quick feedback, David!
> 
> I'm happy to leave this in your hands - one comment only:
> 
> --On tirsdag, januar 17, 2006 11:02:36 -0500 
> [email-masked] wrote:
> 
> >> The term "running at high speed" is a gating criterion for whether or
> >> not  the HS counters are mandatory, but I can't see that it's defined
in
> >> a  testable way. Might have missed it - it would logically seem to
> >> belong in  section 7.5.
> >
> > Unfortunately, it's fuzzy and not testable in all cases.  Here's what
> > RFC 4181 (Section 4.6.1.2) has to say about this issue:
> >
> >    Henceforth "standard" MIB modules MAY
> >    use the Counter64 type when it makes sense to do so, and MUST use
> >    Counter64 if the information being modelled would wrap in less than
> >    one hour if the Counter32 type was used instead.
> >
> > It clearly "makes sense" to use the Counter64 type, as there are SCSI
> > implementations that clearly need it based on the "would wrap in less
> > than one hour" criterion.  Would adapting the quoted RFC 4181 text
> > (with a reference to RFC 4181) be sufficient to satisfy your concern?
> 
> What I'd like to see is something that makes it a complete no-brainer 
> whether or not the HC counters are needed, for instance:
> 
>   If the interconnect speed is higher than 4 Gbits/second, the HC counters
>   MUST be implemented, since that makes it possible to spin the counters
>   in one hour (see [RFC4181]).
> 
> I wouldn't like someone to say "but... my implementation has a 10G 
> interface, but it's so badly implemented that I can't possibly get more 
> than 1 million operations per second through it, so I don't need to 
> implement the HC counters, do I?"
> 
> (4G is picked out of thin air, but illustrates the problem... if The
Number 
> is 3G, then 4G FC needs to implement it; if The Number is 9G, then only 
> people with 10GE and Infiniband interfaces need bother...)
> 
> But you know this stuff, I don't....
> 
>                      Harald
> 
> 
> 
> 
> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/gen-art
> 

_______________________________________________
Ips mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ips